/*
 * @author lsy
 * @date   2019-11-05
 **/
import 'dart:math';

import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';
import 'package:gmalpha_flutter/commonModel/GMBase.dart';

class HomeModel extends BaseModel {
  LiveData<int> indexLive = new LiveData();
  LiveData<int> widgetLive = new LiveData();
  final List<BottomNavigationBarItem> items = [];
  final pages = [];
  int currentIndex = 0;

  @override
  void dispose() {
    indexLive.dispost();
    widgetLive.dispost();
  }

  void init() {
    var mainWidget = RouterCenterImpl().findMainRouter()?.getMainWidget();
    var findPage = RouterCenterImpl().findFindRouter()?.getFindPage("ww");
    var showModel = RouterCenterImpl().findAskRouter()?.showModel();
    var messagePage =
        RouterCenterImpl().findNewMessageRouter()?.getMessagePage("main");
    var userPage = RouterCenterImpl().findUserRouter()?.getUserPage();
    if (mainWidget != null) {
      items.add(
          BottomNavigationBarItem(icon: SvgPicture.asset("images/home.svg")
              ,title: Container()));
      pages.add(mainWidget);
    }
    if (findPage != null) {
      items.add(
          BottomNavigationBarItem(icon: SvgPicture.asset("images/find.svg")
          ,title: Container()));
      pages.add(findPage);
    }
    if (showModel) {
      items.add(
          BottomNavigationBarItem(icon: SvgPicture.asset("images/add.svg")
              ,title: Container()));
    }
    if (messagePage != null) {
      items.add(BottomNavigationBarItem(
          icon: SvgPicture.asset("images/message.svg")
          ,title: Container()));
      pages.add(messagePage);
    }
    if (userPage != null) {
      items.add(
          BottomNavigationBarItem(icon: SvgPicture.asset("images/user.svg")
              ,title: Container()));
      pages.add(userPage);
    }
  }

  void onTap(int index) {
    indexLive.notifyView(index);
    if(index==2){
      //TODO
    }else if(index<2){
      widgetLive.notifyView(index);
    }else{
      widgetLive.notifyView(index-1);
    }
  }
}
