/*
 * @author lsy
 * @date   2019-11-05
 **/
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'HomeModel.dart';

class HomePage extends StatefulWidget {
  HomeModel _model;

  HomePage() {
    _model = new HomeModel();
  }

  @override
  State<StatefulWidget> createState() => HomeState(_model);
}

class HomeState extends State<HomePage> {
  HomeModel _model;

  HomeState(this._model);

  @override
  void initState() {
    super.initState();
    _model.init();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        bottomNavigationBar: StreamBuilder<int>(
            stream: _model.indexLive.stream,
            initialData: _model.indexLive.data,
            builder: (con, data) {
              int index = data.data ?? 0;
              return BottomNavigationBar(
                  items: _model.items,
                  currentIndex: index,
                  onTap: (index) {
                    _model.onTap(index);
                  });
            }),
        body: StreamBuilder<int>(
            stream: _model.widgetLive.stream,
            initialData: _model.widgetLive.data,
            builder: (con, data) {
              int index = data.data ?? 0;
              return IndexedStack(
                index: index,
                children: _model.pages[index],
              );
            }));
  }

  @override
  void dispose() {
    _model.dispose();
    super.dispose();
  }
}
